<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the default template controller for rendering pages.
 *
 * @package    lnApp
 * @subpackage Page/Template
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_TemplateDefault extends lnApp_Controller_TemplateDefault {
	public function __construct(Request $request, Response $response) {
		if (Config::theme())
			$this->template = Config::theme().'/page';

		return parent::__construct($request,$response);
	}

	protected function _headimages() {
		// This is where we should be able to change our country
		// @todo To implement
		$co = Config::instance()->so->country;
		HeadImages::add(array(
			'img'=>sprintf('img/country/%s.png',strtolower($co->two_code)),
			'attrs'=>array('onclick'=>"target='_blank';",'title'=>$co->display('name'))
		));

		return HeadImages::factory();
	}

	protected function _left() {
		if ($this->template->left)
			return $this->template->left;

		elseif (Auth::instance()->logged_in(NULL,get_class($this).'|'.__METHOD__))
			return Controller_Tree::js();
	}

	protected function _right() {
		if ($this->template->right)
			return $this->template->right;
		else
			return $this->_cart();
	}

	private function _cart() {
		if (! Config::moduleexist('cart') OR ! class_exists('cart') OR ! Cart::instance()->contents()->reset(FALSE)->count_all())
			return '';

		return Cart::instance()->cart_block();
	}
}
?>
